class MulticlassErrorRate:
    evaluations = {}

    def evaluate(self, expected_class: float, actual_class: float):
        if expected_class not in self.evaluations.keys():
            self.evaluations[expected_class] = [0, 0]

        if expected_class == actual_class:
            self.evaluations[expected_class][0] += 1
        else:
            self.evaluations[expected_class][1] += 1

    def print_table(self):
        for class_name in self.evaluations.keys():
            print(
                f"Klasse: {class_name}. Korrekt: {self.evaluations[class_name][0]}. Inkorrekt: {self.evaluations[class_name][1]}")
        error_rate = sum([class_name[1] for class_name in self.evaluations.values()]) / (
                    sum([clazz[0] for clazz in self.evaluations.values()]) + sum(
                [clazz[1] for clazz in self.evaluations.values()]))
        print(f"Errorrate: {error_rate}")
